Fetch Potential Notice status
curl --request GET \
--url https://test-api.sandbox.co.in/tcs/analytics/potential-notices \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://test-api.sandbox.co.in/tcs/analytics/potential-notices"
headers = {
"x-api-key": "<x-api-key>",
"authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', authorization: '<authorization>'}
};
fetch('https://test-api.sandbox.co.in/tcs/analytics/potential-notices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763633700,
"transaction_id": "f4bf8069-29c9-4e10-8c90-b4b221146b35",
"data": {
"@entity": "in.co.sandbox.tcs.analytics.potential_notices.job",
"job_id": "1c1e4905-d07e-4c51-b8c5-1163050ded7f",
"tan": "AHMA09719B",
"quarter": "Q3",
"financial_year": "FY 2023-24",
"status": "succeeded",
"created_at": 1709026684599,
"updated_at": 1711544847339,
"potential_notice_report_url": "https://in-co-sandbox-tcs-analytics-potential-notices-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/45b5569c-6e1d-4cd6-aaa1-5a9c5462da23_potential_notice.xlsx"
}
}
Check the results of your Potential Notice job through this API
GET
/
tcs
/
analytics
/
potential-notices
Fetch Potential Notice status
Headers
API key for identification
JWT access token
API Version
Query Parameters
Unique identifier of the job
Was this page helpful?
āI